Skip to main content
`Ctrl`+`K`

# MatSeqAIJCUSPARSEGetArrayRead

gives read-only access to the array where the device data for a `MATSEQAIJCUSPARSE` matrix is stored

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSeqAIJCUSPARSEGetArrayRead(Mat A, const PetscScalar **a)

Not Collective

## Input Parameter

- A - a `MATSEQAIJCUSPARSE` matrix

## Output Parameter

- a - pointer to the device data

## Note

May trigger host-device copies if up-to-date matrix data is on host

## See Also

Matrices, `Mat`, `MatSeqAIJCUSPARSEGetArray()`, `MatSeqAIJCUSPARSEGetArrayWrite()`, `MatSeqAIJCUSPARSERestoreArrayRead()`

## Level

developer

## Location

src/mat/impls/aij/seq/seqcusparse/aijcusparse.cu

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages